//
//  TableController.m
//  Three20Test1
//
//  Created by maxfong on 12-5-21.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#import "TableController.h"

@implementation TableController
static NSString* kLoremIpsum = @"Lorem";
NSString* localImage = @"bundle://tableIcon.png";
NSString* remoteImage = @"http://7.su.bdimg.com/icon/1862.png";

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        self.title = @"Table";
        
        self.dataSource = [TTSectionedDataSource dataSourceWithObjects:
                           @"Links and Buttons",
                           [TTTableTextItem itemWithText:@"TTTableTextItem" URL:@"tt://tableItemTest"
                                            accessoryURL:@"http://www.google.com"],
                           [TTTableLink itemWithText:@"TTTableLink" URL:@"tt://tableItemTest"],
                           [TTTableButton itemWithText:@"TTTableButton"],
                           [TTTableCaptionItem itemWithText:@"TTTableCaptionItem" caption:@"caption"
                                                        URL:@"tt://tableItemTest"],
                           [TTTableSubtitleItem itemWithText:@"TTTableSubtitleItem" subtitle:kLoremIpsum
                                                         URL:@"tt://tableItemTest"],
                           [TTTableMessageItem itemWithTitle:@"Bob Jones" caption:@"TTTableMessageItem"
                                                        text:kLoremIpsum timestamp:[NSDate date] URL:@"tt://tableItemTest"],
                           [TTTableMoreButton itemWithText:@"TTTableMoreButton"],
                           @"Images",
                           [TTTableImageItem itemWithText:@"TTTableImageItem" imageURL:localImage
                                                      URL:@"tt://tableItemTest"],
                           [TTTableRightImageItem itemWithText:@"TTTableRightImageItem" imageURL:localImage
                                                  defaultImage:nil imageStyle:TTSTYLE(rounded)
                                                           URL:@"tt://tableItemTest"],
                           [TTTableMessageItem itemWithTitle:@"Bob Jones" caption:@"TTTableMessageItem"
                                                        text:kLoremIpsum timestamp:[NSDate date]
                                                    imageURL:remoteImage URL:@"tt://tableItemTest"],
                           @"Static Text",
                           [TTTableTextItem itemWithText:@"TTTableTextItem"],
                           [TTTableCaptionItem itemWithText:@"TTTableCaptionItem which wraps to several lines"
                                                    caption:@"Text"],
                           [TTTableSubtextItem itemWithText:@"TTTableSubtextItem"
                                                    caption:kLoremIpsum],
                           [TTTableLongTextItem itemWithText:[@"TTTableLongTextItem "
                                                              stringByAppendingString:kLoremIpsum]],
                           [TTTableGrayTextItem itemWithText:[@"TTTableGrayTextItem "
                                                              stringByAppendingString:kLoremIpsum]],
                           [TTTableSummaryItem itemWithText:@"TTTableSummaryItem"],
                           @"",
                           [TTTableActivityItem itemWithText:@"TTTableActivityItem"],
                           nil];
    }
    
    
    return self;
}

@end
